# xmlpp::OStreamOutputBuffer Class Reference

An OutputBuffer implementation that send datas to a std::ostream. More...

Inheritance diagram for xmlpp::OStreamOutputBuffer:

[legend]

List of all members.

## Public Member Functions
| OStreamOutputBuffer (std::ostream &output, const Glib::ustring &encoding=Glib::ustring())
virtual | ~OStreamOutputBuffer ()

## Detailed Description

An OutputBuffer implementation that send datas to a std::ostream.

## Constructor & Destructor Documentation

xmlpp::OStreamOutputBuffer::OStreamOutputBuffer | ( | std::ostream & | output,
|  | const Glib::ustring & | encoding = `Glib::ustring()` |
| ) |  |  |

Parameters:

  | output | The ostream datas will be send to
  | encoding | Charset in which data will be encoded before being sent to the stream

virtual xmlpp::OStreamOutputBuffer::~OStreamOutputBuffer | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- ostreamoutputbuffer.h